body {
	padding: 0;
	margin: 0;
	font-family: "Roboto", sans-serif;
	color:#FFFFFF;
	background: url("images/background abstarct-01.png") no-repeat top #00050F;
	background-size: cover;
}

/*This is a group selector or class selector*/
.main-head, .sub-head, .col-head {
	font-family: "Inconsolata", monospace;
}

h1 {
	font-size: 7.1rem;
}

h2 {
	font-size: 2.3rem;
}

h3 {
	font-size: 1.9rem;
}

/*"footer p" is a decandent selector, parent/child selecter is for ul li*/

.copyright-text{
	font-size: 0.75rem;
	text-align: left;
}

.container{
	padding-left: 2rem;
	padding-right: 2rem;
}
.header {
	display: flex;
	flex-direction: row;
	/*flex row because you scroll down*/
	justify-content: space-between;
	/*alternative of center, kalau center logo dan nav akan di tengah semua, kalau ini logo kiri nav kanan*/
	/* this can be used in your navi and search for final project*/
	align-items: center;
}

.button {
  background-color: transparent;
  border: 0.5pt solid #FFFFFF;
  color: #FFFFFF;
  padding: 0px 25px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 12px;
  margin: 20px 2px;
  cursor: pointer;
  border-radius: 40px;
}

.button:hover {
  color: #939393;
  border: 0.7pt solid #939393;
  font-weight: bold;
  text-decoration: none;
}

.button:focus {
  outline: none;
}

.imperium-logo {
	width: 550px;
	display: block;
	align-content: center;
	margin: 20px 20px 20px 20px;
	justify-content: center;
}
.navbar {
	display: flex;
	flex-direction: row;
	flex: 1;
	justify-content: flex-end;
}

.stacked {
  display: flex;
  flex-direction: column;
  align-items: flex-start; /* optional: center horizontally */
  text-align: left;  /* optional: center text */
}

.navbar a {
	padding: 1rem;
	color: #FFFFFF;
	text-decoration: none;
	font-weight: 600;
}

/*psuedo class selector*/
.navbar a:hover {
	color: #939393;
}

.osis-imperium a {
	width: 80px;
	font-size: 2.1rem;
	text-decoration: none;
	font-family: "Roboto Condensed", sans-serif;
	font-weight: bold;
	color: #FFFFFF;
	margin-top: 20px;
}

.osis-imperium a:hover {
	color: #939393;
}

.main-content {
	display: flex;
	flex-direction: row;
	justify-content: center;
}

.social-media-btn {
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	padding-top: 32%;
}

.social-media-btn a img{
	width: 80%;
	display: inline-block;
}

.check-us-out {
	text-align: end;
	padding-left: 2%;
}

.iphone-social-media {
	width: 500px;
	height: auto;
	padding: 5%;
}

.rectangle-bg {
	width: 100%;           /* Set width */
	height: 300px;          /* Set height */
	background-color: #121B2C; /* Solid background color */
	display: flex;
	flex-direction: column;
	justify-content: flex-end;
	padding-bottom: 0;
}

.footer {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	margin-top: 200px; /*margin is outside the element, padding is inside the element*/
	width: 95%;
	margin: 0 auto;
	overflow: auto;
}

.footer a {
	font-family: "Roboto", sans-serif;
	color:#939393;
	font-size: 15px;
}

.footer a:hover {
	color: #FFFFFF;
}

.left-footer {
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	margin-top: 0;
	margin-bottom: 30px;
}

.text-image-left-footer {
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
}

.serve-lead-inspire-footer {
	font-size: 2rem;
}

.small-imperium-logo {
	width: 65px;
	height: 65px;
	margin-top: 35px;
	margin-left: -23px;
}

.right-footer {
	display: flex;
	flex-direction: column;
	justify-content: flex-end;
	padding-top: 30px;
	padding-bottom: 30px;
	margin-bottom: 80px;
}

.first-row {
	display: flex;
	flex-direction: row;
	justify-content: flex-end;
}

.second-row {
	display: flex;
	flex-direction: row;
	justify-content: flex-end;
}

.first-row a, .second-row a {
	padding-left: 2.3rem;
	padding-right: 2.3rem;
	padding-top: 1rem;
	padding-bottom: 1rem;
	text-decoration: none;
}


.btn {
	display: block;
	width: 120px;
	height: 30px;
	padding: 0.55rem 0.35rem 0.2rem;
	text-align: center;
	text-decoration: none;
	color: #000000;
	background-color: #92C9D7;
	border: 2px solid transparent;
	border-radius: 40px;
}



/* -------------------------------------------------------------------------- */
/* Responsive adjustments for screens up to 992px (smartphone view) -------------------------------------------------------------------------*/
/* -------------------------------------------------------------------------- */
@media (max-width: 992px) {
	.container {
		width: 100%;
		margin: 0;
		padding: 0;
	}

	.header {
		flex-direction: row;
		align-items: center;
		text-align: center;
		padding-left: 1rem;
		padding-right: 1rem;
	}

	.stacked {
	display: flex;
	flex-direction: column;
	align-items: flex-start; /* optional: center horizontally */
	text-align: left;  /* optional: center text */
	}
	
	.osis-imperium a {
		font-size: 1rem;
		margin-top: 10px;
	}

	.navbar {
		flex-direction: row;
		align-items: flex-end;
		gap: 5px;
		padding: 10px 0;
	}

	.navbar a {
		padding: 0.25rem;
		font-size: 0.4rem;
	}

	.button {
		font-size: 0.25rem;
		padding: 0rem 0.5rem;
		margin: 0;
	}

	.imperium-logo {
		width: 60%;
		margin: 0.05rem 0;
	}

	h1 {
		font-size: 2rem;
	}

	h2 {
		font-size: 1rem;
	}

	h3 {
		font-size: 0.8rem;
	}

	.rectangle-bg {
		height: auto;
		padding-top: 0px;
		padding-bottom: 0px;
		margin-bottom: 0;
	}

	.footer {
		flex-direction: row;
		align-items: center;
		text-align: center;
		margin-bottom: 0;
		padding-bottom: 0;
	}
	
	.left-footer p {
		font-size: 0.3rem
	}

	.text-image-left-footer {
		flex-direction: row;
		align-items: flex-start;
	}

	.serve-lead-inspire-footer {
		font-size: 0.8rem;
		text-align: left;
	}

	.small-imperium-logo {
		width: 23px;
		height: 23px;
		margin: 15px 0 0 0;
	}

	.right-footer {
		flex-direction: column;
		align-items: flex-end;
		margin-bottom: 0;
	}

	.first-row,
	.second-row {
		flex-direction: row;
		align-items: center;
	}

	.first-row a {
		padding: 0.2rem 0.1rem;
		font-size: 0.4rem;
		text-decoration: none;
	}
	
	.second-row a {
		padding: 0.2rem 0.1rem 0rem 0.1rem;
		font-size: 0.4rem;
		margin-bottom: 3rem;
		text-decoration: none;
	}
	.copyright-text {
		margin-bottom: 0;
	}
	/*paste sampe sini jgn lebih bodohhh*/
.main-content {
	display: flex;
	flex-direction: column;
	justify-content: center;
}

.social-media-btn {
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	padding: 0 0 0 3rem;
	margin-top: 1rem;
}

.social-media-btn a img{
	width: 50%;
	display: inline-block;
}

.check-us-out {
	text-align: start;
	font-size: 3rem;
	padding: 0;
	margin: 2rem 0 0 3rem;
}

.iphone-social-media {
	width: 300px;
	height: auto;
	margin-left: 2rem;
	margin-bottom: 0;
	margin-top: 0;
	padding: 0;
}
	.main-content {
		margin-bottom: 2rem;
	}
	.carousel-container {
		padding-bottom: 0;
		padding-left: 0;
	}
}